//
//  ContentView.swift
//  JukeStarter
//
//  Created by Emuel Aldridge on 10/28/20.
//

import SwiftUI
import AVFoundation
var twist: AVAudioPlayer?
struct ContentView: View {
    var body: some View {
        VStack {
            HStack{
            SongSetup()
                
            SongSetup(artist: "Chubby Checker", songTitle: "Twist and Shout", artistImage: "chubby", soundFile: "twist.mp3")
            }
            HStack{
                SongSetup(artist: "The Beatles", songTitle: "Twist and Shout", artistImage: "beatles", soundFile: "twistshout.mp3")
            SongSetup(artist: "Aerosmith", songTitle: "Walk This Way", artistImage: "aerosmith640", soundFile: "walkthisway.mp3")
            }
            Spacer()
                
            HStack(spacing: 11.0) {

                Button(action: paws) {
                    Text("Pause")
                }
                Button(action: player) {
                    Text("Play")
                }

            }
        }
   
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
